#ifndef TOKEN_H
#  define TOKEN_H

#  include <stdbool.h>
#  include "cj.h"

   Token makeToken(void);

   const char *getTokenTypeString(Token *tokenPtr);

   void printToken(Token *tokenPtr);

   TokenList makeTokenList(void);
   void      freeTokenList(TokenList *ptr);
   void      addToTokenList(Token *tokenPtr, TokenList *listPtr);

   bool getTokens(const char *input, TokenList *ptr, CJString *errMsg);

#endif
